org.jgrapht.experimental

## Class UniformRandomGraphGenerator

- java.lang.Object
- - org.jgrapht.experimental.UniformRandomGraphGenerator

- All Implemented Interfaces:
    GraphGenerator

      public class UniformRandomGraphGenerator
      extends Object
      implements GraphGenerator

  UniformRandomGraphGenerator generates a uniform random graph of any size. A uniform random graph contains edges chosen independently uniformly at random from the set of all possible edges.
  Since:
    Sep 13, 2004
  Author:
    Michael Behrisch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UniformRandomGraphGenerator(int numVertices, int numEdges)` Construct a new UniformRandomGraphGenerator.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generateGraph(Graph target, VertexFactory vertexFactory, Map resultMap)` Generate a graph structure.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UniformRandomGraphGenerator

          public UniformRandomGraphGenerator(int numVertices,
                                     int numEdges)

      Construct a new UniformRandomGraphGenerator.
      Parameters:
        `numVertices` - number of vertices to be generated
        `numEdges` - number of edges to be generated
      Throws:
        `IllegalArgumentException`

  - ### Method Detail

    - #### generateGraph

          public void generateGraph(Graph target,
                           VertexFactory vertexFactory,
                           Map resultMap)

      Description copied from interface: `GraphGenerator`
      Generate a graph structure. The topology of the generated graph is dependent on the implementation. For graphs in which not all vertices share the same automorphism equivalence class, the generator may produce a labeling indicating the roles played by generated elements. This is the purpose of the resultMap parameter. For example, a generator for a wheel graph would designate a hub vertex. Role names used as keys in resultMap should be declared as public static final Strings by implementation classes.
      Specified by:
        `generateGraph` in interface `GraphGenerator`
      Parameters:
        `target` - receives the generated edges and vertices; if this is non-empty on entry, the result will be a disconnected graph since generated elements will not be connected to existing elements
        `vertexFactory` - called to produce new vertices
        `resultMap` - if non-null, receives implementation-specific mappings from String roles to graph elements (or collections of graph elements)
      See Also:
        `GraphGenerator.generateGraph(org.jgrapht.Graph<V, E>, org.jgrapht.VertexFactory<V>, java.util.Map<java.lang.String, T>)`

Copyright © 2016. All rights reserved.